Bug 11210 - Allow partial writeoff
Summary: Allow partial writeoff
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Gus Ellerm
QA Contact: Testopia
URL: http://devs.bywatersolutions.com/proj...
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2013-11-06 21:26 UTC by Marjorie Barry-Vila
Modified: 2017-12-11 17:53 UTC (History)
15 users (show)

See Also:
Change sponsored?: Seeking cosponsors
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11210 - Writeoff partial amounts (3.72 KB, patch)
2017-09-25 17:10 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 11210 - Writeoff partial amounts (3.87 KB, patch)
2017-10-04 01:19 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 11210 - Writeoff partial amounts (3.93 KB, patch)
2017-10-27 15:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11210 - Writeoff partial amounts (4.26 KB, patch)
2017-11-07 16:34 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 11210 - Writeoff partial amounts (4.20 KB, patch)
2017-11-10 14:28 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 11210 - Writeoff partial amounts (4.26 KB, patch)
2017-11-28 20:25 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2013-11-06 21:26:16 UTC
it would be nice to make partial writeoff like a partial fine payment.

Example:
a fine of 3$ is charged because item was late of 3 days. But finaly on the three days,  library was closed one day. I want to just writeoff 1$.

Thanks,

Marjorie
Comment 1 Nicole C. Engard 2016-01-06 17:03:57 UTC
Seeking co-sponsors: http://devs.bywatersolutions.com/projects/allow-partial-writeoffs-of-fines/
Comment 2 Christopher Brannon 2017-05-19 20:25:04 UTC
I am glad to see this happen.  It makes sense.  Maybe this would be a good time to change this grouping of buttons in to an action button, defaulting to Pay all.  Just a thought, since the number of buttons is growing.
Comment 3 David Bourgault 2017-09-25 17:10:56 UTC Comment hidden (obsolete)
Comment 4 Alex Buckley 2017-10-04 01:19:19 UTC
Created attachment 67583 [details] [review]
Bug 11210 - Writeoff partial amounts

Minor changes to pay.pl and paycollect.tt to allow writing off a partial amount of a fine.

Test plan:
0) Go to the Fines tab of a test patron's profile
1) Create a fine if there are none (under the Manual invoice tab)
2) Go to the "Pay fines" tab
3) Press the write off button on the corresponding account line

Without patch, you'll be asked to confirm, but will not be able to edit the amount
With patch, you'll be able to edit the amount.

Followed test plan, patch worked as described. Also ran QA test tool and
modified files passed

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 5 Kyle M Hall 2017-10-27 15:36:50 UTC
Created attachment 68754 [details] [review]
Bug 11210 - Writeoff partial amounts

Minor changes to pay.pl and paycollect.tt to allow writing off a partial amount of a fine.

Test plan:
0) Go to the Fines tab of a test patron's profile
1) Create a fine if there are none (under the Manual invoice tab)
2) Go to the "Pay fines" tab
3) Press the write off button on the corresponding account line

Without patch, you'll be asked to confirm, but will not be able to edit the amount
With patch, you'll be able to edit the amount.

Followed test plan, patch worked as described. Also ran QA test tool and
modified files passed

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-10-27 17:46:21 UTC
Comment on attachment 68754 [details] [review]
Bug 11210 - Writeoff partial amounts

Review of attachment 68754 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/members/paycollect.tt
@@ +191,5 @@
> +            <ol>
> +                <li>
> +                    <label for="paid">Writeoff amount: </label>
> +                    <!-- default to writing off all -->
> +                    <input name="amountwrittenoff" id="amountwrittenoff" value="[% amountoutstanding | format('%.2f') %]" />

No, price values must not be formatted when displayed in inputs.
Comment 7 David Bourgault 2017-11-07 16:34:20 UTC
Created attachment 69001 [details] [review]
Bug 11210 - Writeoff partial amounts

Minor changes to pay.pl and paycollect.tt to allow writing off a partial amount of a fine.

Test plan:
0) Go to the Fines tab of a test patron's profile
1) Create a fine if there are none (under the Manual invoice tab)
2) Go to the "Pay fines" tab
3) Press the write off button on the corresponding account line

Without patch, you'll be asked to confirm, but will not be able to edit the amount
With patch, you'll be able to edit the amount.

Followed test plan, patch worked as described. Also ran QA test tool and
modified files passed

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 David Bourgault 2017-11-07 16:35:40 UTC
Removed the formatting on inputs.
Comment 9 Simon Pouchol 2017-11-10 14:28:06 UTC
Created attachment 69090 [details] [review]
Bug 11210 - Writeoff partial amounts

Minor changes to pay.pl and paycollect.tt to allow writing off a partial amount of a fine.

Test plan:
0) Go to the Fines tab of a test patron's profile
1) Create a fine if there are none (under the Manual invoice tab)
2) Go to the "Pay fines" tab
3) Press the write off button on the corresponding account line

Without patch, you'll be asked to confirm, but will not be able to edit the amount
With patch, you'll be able to edit the amount.

Followed test plan, patch worked as described. Also ran QA test tool and
modified files passed

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 10 Kyle M Hall 2017-11-28 20:25:27 UTC
Created attachment 69420 [details] [review]
Bug 11210 - Writeoff partial amounts

Minor changes to pay.pl and paycollect.tt to allow writing off a partial amount of a fine.

Test plan:
0) Go to the Fines tab of a test patron's profile
1) Create a fine if there are none (under the Manual invoice tab)
2) Go to the "Pay fines" tab
3) Press the write off button on the corresponding account line

Without patch, you'll be asked to confirm, but will not be able to edit the amount
With patch, you'll be able to edit the amount.

Followed test plan, patch worked as described. Also ran QA test tool and
modified files passed

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Jonathan Druart 2017-12-11 17:53:18 UTC
Pushed to master for 18.05, thanks to everybody involved!